{"componentChunkName":"component---src-templates-docs-js","path":"/whatsapp/direct_send/examples","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"eb4b721a-9fb4-59d3-ad06-4bbff699d995","title":"Ejemplos","slug":"/whatsapp/direct_send/examples"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Ejemplos\",\n  \"order\": 3\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"section\", null, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Mensaje de texto\")), mdx(\"section\", null, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Petici\\xF3n HTTP\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--header 'Content-Type: application/json' \\\\\\n--data '{\\n  \\\"from\\\": \\\"{{phone-number-id}}\\\",\\n  \\\"to\\\": \\\"{{to}}\\\",\\n  \\\"type\\\": \\\"text\\\",\\n  \\\"text\\\": \\\"Tu pedido ya esta en camino.\\\",\\n  \\\"category\\\": \\\"utility\\\"\\n}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Atribuci\\xF3n de template\")), mdx(\"section\", null, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Petici\\xF3n HTTP\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n--header 'Authorization: Bearer {{token}}' \\\\\\n--header 'Content-Type: application/json' \\\\\\n--data '{\\n  \\\"from\\\": \\\"{{numero_emisor}}\\\",\\n  \\\"to\\\": \\\"{{numero_destino}}\\\",\\n  \\\"type\\\": \\\"text\\\",\\n  \\\"text\\\": \\\"Tu pedido TC01-9988 esta en camino.\\\",\\n  \\\"category\\\": \\\"utility\\\",\\n  \\\"direct_send_config\\\": { \\\"template_name\\\": \\\"orden_en_camino_v1\\\" }\\n}'\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Botones combinados (CTA URL + respuesta)\")), mdx(\"section\", null, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Body\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n  \\\"from\\\": \\\"{{phone-number-id}}\\\",\\n  \\\"to\\\": \\\"{{to}}\\\",\\n  \\\"type\\\": \\\"interactive\\\",\\n  \\\"category\\\": \\\"utility\\\",\\n  \\\"direct_send_config\\\": {\\n    \\\"template_name\\\": \\\"{{template_name}}_btns\\\"\\n  },\\n  \\\"replyButtons\\\": {\\n    \\\"body\\\": \\\"Elige una opcion\\\",\\n    \\\"buttons\\\": [\\n      { \\\"type\\\": \\\"cta_url\\\", \\\"title\\\": \\\"Visitar sitio\\\", \\\"url\\\": \\\"https://www.conceptomovil.com\\\" },\\n      { \\\"type\\\": \\\"reply\\\", \\\"id\\\": \\\"btn_1\\\", \\\"title\\\": \\\"Opcion 1\\\" },\\n      { \\\"type\\\": \\\"reply\\\", \\\"id\\\": \\\"btn_2\\\", \\\"title\\\": \\\"Opcion 2\\\" }\\n    ]\\n  }\\n}\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", null, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Bot\\xF3n de llamada de voz\")), mdx(\"section\", null, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Body\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n  \\\"from\\\": \\\"{{phone-number-id}}\\\",\\n  \\\"to\\\": \\\"{{to}}\\\",\\n  \\\"type\\\": \\\"interactive\\\",\\n  \\\"category\\\": \\\"utility\\\",\\n  \\\"direct_send_config\\\": {\\n    \\\"template_name\\\": \\\"{{template_name}}\\\"\\n  },\\n  \\\"voice_call\\\": {\\n    \\\"body\\\": \\\"Te llamaremos para confirmar tu pedido\\\",\\n    \\\"action\\\": {\\n      \\\"parameters\\\": {\\n        \\\"display_text\\\": \\\"Llamar ahora\\\",\\n        \\\"ttl_minutes\\\": 60\\n      }\\n    }\\n  }\\n}\\n\"))));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#mensaje-de-texto","title":"Mensaje de texto","items":[{"url":"#petición-http","title":"Petición HTTP"}]},{"url":"#atribución-de-template","title":"Atribución de template","items":[{"url":"#petición-http-1","title":"Petición HTTP"}]},{"url":"#botones-combinados-cta-url--respuesta","title":"Botones combinados (CTA URL + respuesta)","items":[{"url":"#body","title":"Body"}]},{"url":"#botón-de-llamada-de-voz","title":"Botón de llamada de voz","items":[{"url":"#body-1","title":"Body"}]}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"whatsapp/direct_send/examples.md","fields":{"gitLogLatestAuthorName":"Jimena Acevedo - JC","gitLogLatestAuthorEmail":"jimena-acevedo@192.168.1.67","gitLogLatestDate":"3 days ago"}},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"DEV"},"gitCommit":{"hash":"456be35532012cb399c2f67dcdb4de107acfb5bc","date":"2026-10-19 05:45"}},"pageContext":{"id":"eb4b721a-9fb4-59d3-ad06-4bbff699d995"}},"staticQueryHashes":["12478684","12478684","2882937274","2882937274","353167761","353167761"]}